<!--
 Copyright (c) 2023 by frostime (Yp Z), All Rights Reserved.
 Author       : Yp Z
 Date         : 2023-07-02 14:00:35
 FilePath     : /src/lib/Typography.svelte
 LastEditTime : 2023-07-07 22:20:30
 Description  : 
-->
<script lang="ts">
    import { onMount } from "svelte";

    export let fontSize: string = "20px";
    export let markdown: string = "";
    let html: string;

    onMount(() => {
        //@ts-ignore
        const lute = window.Lute.New();
        html = lute.Md2HTML(markdown);
    });

</script>

<div class="item__readme b3-typography" style="font-size: {fontSize};">
    {#if html}
        {@html html}
    {/if}
    <slot />
</div>
